%define upstream_name	 Gtk2-Phat
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	Perl interface to the Phat widget collection
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl-Gtk2
BuildRequires:	perl-Glib > 1.00
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	phat-devel
BuildRequires:	gtk+2-devel

%description
This module allows a perl developer to access the widgets of the Phat widget 
collection which is geared toward pro-audio apps. The goal is to eliminate 
duplication of effort and provide some standardization.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/Gtk2
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-14.mga6
+ Revision: 1028084
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-13.mga6
+ Revision: 957419
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.80.0-12.mga6
+ Revision: 843384
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-11.mga5
+ Revision: 745457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-10.mga5
+ Revision: 684910
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.80.0-9.mga5
+ Revision: 632450
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-8.mga4
+ Revision: 524866
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.80.0-7.mga4
+ Revision: 431562
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 0.80.0-6.mga3
+ Revision: 389357
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-5.mga3
+ Revision: 367903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.80.0-4.mga3
+ Revision: 250741
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.80.0-3.mga2
+ Revision: 135827
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.80.0-2.mga2
+ Revision: 104469
- Rebuild for perl-5.14.0

* Fri Jan 28 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 42926
- mageia rebuild
- adding %%doc
- imported package perl-Gtk2-Phat


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 403231
- rebuild using %%perl_convert_version

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.1
+ Revision: 294654
- update to new version 0.08

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2009.0
+ Revision: 268520
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
+ Revision: 217095
- update to new version 0.04

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.03-2mdv2008.1
+ Revision: 152110
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.1
+ Revision: 98031
- update to new version 0.03
- update to new version 0.03


* Thu Mar 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdk
- new version
- spec cleanup

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.01-3mdk
- fix buildrequires

* Thu May 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-2mdk
- fix description & summary

* Thu May 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-1mdk
- initial release

